petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscCitationsRegister

Register a bibtex item to obtain credit for an implemented algorithm used in the code.

### Synopsis

    PETSC_STATIC_INLINE PetscErrorCode PetscCitationsRegister(const char cit[],PetscBool *set)

Not Collective - only what is registered on rank 0 of PETSC_COMM_WORLD will be printed

### Input Parameters

| cite | - the bibtex item, formated to displayed on multiple lines nicely
| set | - a boolean variable initially set to PETSC_FALSE; this is used to insure only a single registration of the citation

Not available from Fortran

### Options Database

-citations [filename] -print out the bibtex entries for the given computation

### Level

intermediate

### Location

include/petscsys.h
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages